Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.event
Class XDBBasicEventListener

`java.lang.Object
oracle.xdb.event.XDBBasicEventListener`

All Implemented Interfaces:
  XDBRepositoryEventListener

      public class XDBBasicEventListener

extends java.lang.Object
implements XDBRepositoryEventListener

An example class to show how application writers can create there own event listeners.

Since:
  11.1.0.0.0

Constructor Summary
`XDBBasicEventListener()`

Method Summary
`void` `handlePostCheckIn(XDBRepositoryEvent eventObject)` Handle post-checkin event
`void` `handlePostCheckOut(XDBRepositoryEvent eventObject)` Handle post-checkout event
`void` `handlePostCreate(XDBRepositoryEvent eventObject)` Handle post-create event
`void` `handlePostDelete(XDBRepositoryEvent eventObject)` Handle post-delete event
`void` `handlePostLinkIn(XDBRepositoryEvent eventObject)` Handle post-link-in event
`void` `handlePostLinkTo(XDBRepositoryEvent eventObject)` Handle post-link-to event
`void` `handlePostLock(XDBRepositoryEvent eventObject)` Handle post-lock event
`void` `handlePostUnlinkFrom(XDBRepositoryEvent eventObject)` Handle post-unlink-from event
`void` `handlePostUnlinkIn(XDBRepositoryEvent eventObject)` Handle post-unlink-in event
`void` `handlePostUnlock(XDBRepositoryEvent eventObject)` Handle post-unlock event
`void` `handlePostUpdate(XDBRepositoryEvent eventObject)` Handle post-update event
`void` `handlePreCheckIn(XDBRepositoryEvent eventObject)` Handle pre-checkin event
`void` `handlePreCheckOut(XDBRepositoryEvent eventObject)` Handle pre-checkout event
`void` `handlePreCreate(XDBRepositoryEvent eventObject)` Handle pre-create event
`void` `handlePreDelete(XDBRepositoryEvent eventObject)` Handle pre-delete event
`void` `handlePreLinkIn(XDBRepositoryEvent eventObject)` Handle pre-link-in event
`void` `handlePreLinkTo(XDBRepositoryEvent eventObject)` Handle pre-link-to event
`void` `handlePreLock(XDBRepositoryEvent eventObject)` Handle pre-lock event
`void` `handlePreUnlinkFrom(XDBRepositoryEvent eventObject)` Handle pre-unlink-from event
`void` `handlePreUnlinkIn(XDBRepositoryEvent eventObject)` Handle pre-unlink-in event
`void` `handlePreUnlock(XDBRepositoryEvent eventObject)` Handle pre-unlock event
`void` `handlePreUpdate(XDBRepositoryEvent eventObject)` Handle pre-update event
`void` `handleRender(XDBRepositoryEvent eventObject)` Handle render event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDBBasicEventListener

    public XDBBasicEventListener()

Method Detail

### handleRender

    public void handleRender(XDBRepositoryEvent eventObject)

  Handle render event
  Specified by:
    `handleRender` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreCreate

    public void handlePreCreate(XDBRepositoryEvent eventObject)

  Handle pre-create event
  Specified by:
    `handlePreCreate` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostCreate

    public void handlePostCreate(XDBRepositoryEvent eventObject)

  Handle post-create event
  Specified by:
    `handlePostCreate` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreDelete

    public void handlePreDelete(XDBRepositoryEvent eventObject)

  Handle pre-delete event
  Specified by:
    `handlePreDelete` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostDelete

    public void handlePostDelete(XDBRepositoryEvent eventObject)

  Handle post-delete event
  Specified by:
    `handlePostDelete` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreUpdate

    public void handlePreUpdate(XDBRepositoryEvent eventObject)

  Handle pre-update event
  Specified by:
    `handlePreUpdate` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostUpdate

    public void handlePostUpdate(XDBRepositoryEvent eventObject)

  Handle post-update event
  Specified by:
    `handlePostUpdate` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreLock

    public void handlePreLock(XDBRepositoryEvent eventObject)

  Handle pre-lock event
  Specified by:
    `handlePreLock` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostLock

    public void handlePostLock(XDBRepositoryEvent eventObject)

  Handle post-lock event
  Specified by:
    `handlePostLock` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreUnlock

    public void handlePreUnlock(XDBRepositoryEvent eventObject)

  Handle pre-unlock event
  Specified by:
    `handlePreUnlock` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostUnlock

    public void handlePostUnlock(XDBRepositoryEvent eventObject)

  Handle post-unlock event
  Specified by:
    `handlePostUnlock` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreLinkIn

    public void handlePreLinkIn(XDBRepositoryEvent eventObject)

  Handle pre-link-in event
  Specified by:
    `handlePreLinkIn` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostLinkIn

    public void handlePostLinkIn(XDBRepositoryEvent eventObject)

  Handle post-link-in event
  Specified by:
    `handlePostLinkIn` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreLinkTo

    public void handlePreLinkTo(XDBRepositoryEvent eventObject)

  Handle pre-link-to event
  Specified by:
    `handlePreLinkTo` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostLinkTo

    public void handlePostLinkTo(XDBRepositoryEvent eventObject)

  Handle post-link-to event
  Specified by:
    `handlePostLinkTo` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreUnlinkIn

    public void handlePreUnlinkIn(XDBRepositoryEvent eventObject)

  Handle pre-unlink-in event
  Specified by:
    `handlePreUnlinkIn` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostUnlinkIn

    public void handlePostUnlinkIn(XDBRepositoryEvent eventObject)

  Handle post-unlink-in event
  Specified by:
    `handlePostUnlinkIn` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreUnlinkFrom

    public void handlePreUnlinkFrom(XDBRepositoryEvent eventObject)

  Handle pre-unlink-from event
  Specified by:
    `handlePreUnlinkFrom` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostUnlinkFrom

    public void handlePostUnlinkFrom(XDBRepositoryEvent eventObject)

  Handle post-unlink-from event
  Specified by:
    `handlePostUnlinkFrom` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreCheckIn

    public void handlePreCheckIn(XDBRepositoryEvent eventObject)

  Handle pre-checkin event
  Specified by:
    `handlePreCheckIn` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostCheckIn

    public void handlePostCheckIn(XDBRepositoryEvent eventObject)

  Handle post-checkin event
  Specified by:
    `handlePostCheckIn` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePreCheckOut

    public void handlePreCheckOut(XDBRepositoryEvent eventObject)

  Handle pre-checkout event
  Specified by:
    `handlePreCheckOut` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

### handlePostCheckOut

    public void handlePostCheckOut(XDBRepositoryEvent eventObject)

  Handle post-checkout event
  Specified by:
    `handlePostCheckOut` in interface `XDBRepositoryEventListener`
  Parameters:
    `eventObject` - The `XDBRepositoryEvent` passed from the Oracle XML Database events framework to the handler when an event is fired.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.